summaryrefslogtreecommitdiff
path: root/tests/empty2.test
diff options
context:
space:
mode:
authorTom Tromey <tromey@redhat.com>1999-07-13 13:28:09 +0000
committerTom Tromey <tromey@redhat.com>1999-07-13 13:28:09 +0000
commit946411077c83933c513c15af8970ba066dfe0ffc (patch)
tree558040219693f5bd9d87d3cf35a368eda7591ccd /tests/empty2.test
parent3965c81efe604106a4899324e9057d49959161a1 (diff)
downloadautomake-946411077c83933c513c15af8970ba066dfe0ffc.tar.gz
* empty2.test: New file.
* Makefile.am (TESTS): Added empty2.test.
Diffstat (limited to 'tests/empty2.test')
-rwxr-xr-xtests/empty2.test20
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/empty2.test b/tests/empty2.test
new file mode 100755
index 000000000..31e9799b0
--- /dev/null
+++ b/tests/empty2.test
@@ -0,0 +1,20 @@
+#! /bin/sh
+
+# Test to make sure empty _SOURCES suppresses assumption about default
+# name. Report from Pavel Roskin.
+
+. $srcdir/defs || exit 1
+
+cat >> configure.in << 'END'
+AC_PROG_CC
+END
+
+cat > Makefile.am << 'END'
+bin_PROGRAMS = pavel
+pavel_SOURCES =
+END
+
+$AUTOMAKE || exit 1
+
+fgrep pavel.c Makefile.in && exit 1
+exit 0